<b>ALL PLAYERS MUST HAVE THIS FOR THE MOD TO WORK</b>
- 
- This does not work in custom rundowns, or mods that overwrite the vanilla levels.



This mod adds checkpoints to the almost all vanilla levels. The only levels without checkpoints are
<br>-<b>R2B1</b>
<br>-<b>R2B2</b>
<br>-<b>R3A2</b>

As I was unable to find a reasonable place to put checkpoints in these levels.


<br>I tried to keep checkpoints in non-disruptive spots, to not break the flow of levels, only a few select levels (generally featuring constant alarms) I decided to put a checkpoint somewhere that could be considered disruptive, But I made sure it seemed as minimal as possible.

I also took into consideration of alternate routes, and forced routes (places the player has to go or could go to complete the main objective) and tried to avoid optional routes (resource rooms and such) for checkpoints. Aswell as completing layers in different orders to have the checkpoints be viable whichever way you decide to run a level.

Obviously checkpoints are notorious for introducing bugs, so some checkpoints may seem sketchy (Like checkpoints in R2D2 (Reactor Level) could introduce complications) But I still followed my options based on the mentions above.

I also tried to avoid free checkpoints (Checkpoints that require little to no work to reach) or checkpoints that could be taken before seeking another area (such as an optional area). This is eased on lower tier levels.

NOTE - some checkpoints have been altered in R6 - R8

if you encounter a checkpoint that turns out sounded better in theory but terrible in execution, go ahead and DM me @thedoggydoge on Discord or mention me within the GTFO Modding Server.

This mod was made initially for personal use with a casual group but I decided why not upload it anyways.

"But what about the checkpoint bugs!!! :<" - Honestly <i>I don't give a f-</i>

## Now here is a full list of all checkpoints added (mostly for dev purposes)


<b>Zone(Number)</b> - Zone Index Number<br>
<b>(Layer/Dimension)</b> - Main, Secondary, or Overload and Dimension Location<br>
<b>Set 0</b> - Set ChainedPuzzleType to 0 to avoid double scans<br>
<b>Set 4</b> - Set ChainedPuzzleType to 4 to add a team scan, for removed checkpoints<br>
<b>---- No Checkpoints Eligible</b> - Could not find a suitable spot for a checkpoint within the level<br>
<b>Unchanged</b> - Level left as is (it already has decent checkpoints)<br>
<b>(Alternate Main)</b> - Alternate path where the end goal could reside, like the HSU in R3C1<br>
<b>!!! REACTOR CHECKPOINTS</b> - A checkpoint is in this level during the reactor startup sequence (could introduce game breaking stuff)<br>
<b>Risky</b> - During a section like an ://ERROR alarm so this could affect the level<br>
<b>Moved</b> - Checkpoint moved to a nearby door<br>
<b>Removed</b> - Checkpoint removed entirely (usually replaced somewhere else)<br>
<b>(Removed Team Scan)</b> - Fixed a checkpoint in the vanilla game that had a team scan attached to a checkpoint,<br> only known one is in R6D1

### Rundown 1
<b>R1A1</b><br>
Zone_1 (Main)

<b>R1B1</b><br>
Zone_5 (Main)

<b>R1B2</b><br>
Zone_2 (Main)

<b>R1C1</b><br>
Zone_5 (Main)

<b>R1C2</b><br>
Zone_3 (Main)

<b>R1D1</b><br>
Zone_2 (Main)


### Rundown 2
<b>R2A1</b><br>
---- No Checkpoints Eligible

<b>R2B1</b><br>
---- No Checkpoints Eligible

<b>R2B2</b><br>
Zone_5 (Main) Set 0

<b>R2B3</b><br>
Zone_1 (Main)

<b>R2B4</b><br>
Zone_2 (Main)

<b>R2C1</b><br>
Zone_4 (Main)

<b>R2C2</b><br>
Zone_3 (Main) Risky

<b>R2D1</b><br>
Zone_4 (Main)<br>
Zone_2 (Main) Set 0

<b>R2D2</b> <i>!!! REACTOR CHECKPOINTS</i><br>
Zone_4 (Main) Set 0<br>
Zone_5 (Main)

<b>R2E1</b><br>
Zone_4 (Main)<br>
Zone_8 (Main)


### Rundown 3
<b>R3A1</b><br>
Zone_4 (Main) Set 0

<b>R3A2</b><br>
---- No Checkpoint Eligible

<b>R3A3</b> <i>!!! REACTOR CHECKPOINTS</i><br>
Zone_5 (Main) Set 0

<b>R3B1</b><br>
Zone_2 (Main)

<b>R3B2</b><br>
Zone_4 (Main)

<b>R3C1</b><br>
Zone_2 (Main)<br>
Zone_4 Alternate Route (Main) Set 0<br>
Zone_9 Alternate Route (Main) Set 0

<b>R3D1</b><br>
Zone_6 (Main)<br>
Zone_8 (Main)


### Rundown 4
<b>R4A1</b><br>
Zone_4 (Main)

<b>R4A2</b><br>
Zone_0 (Secondary) Set 0

<b>R4A3</b><br>
Zone_2 (Main)

<b>R4B1</b><br>
Zone_1 (Secondary) Set 0<br>
Zone_3 (Main)

<b>R4B2</b><br>
Zone_5 (Main)<br>
Zone_3 (Overload) Set 0

<b>R4B3</b><br>
Zone_1 (Secondary) Set 0<br>
Zone_2 (Main) Set 0

<b>R4C1</b><br>
Zone_0 (Secondary)

<b>R4C2</b><br>
Zone_0 (Secondary)

<b>R4C3</b><br>
Zone_4 (Main)<br>
Zone_1 (Secondary) Set 0

<b>R4D1</b> <i>!!! REACTOR CHECKPOINTS</i><br>
Zone_9 (Main) Set 0<br>
Zone_0 (Secondary) Set 0

<b>R4D2</b><br>
Zone_1 (Main)<br>
Zone_7 (Main)

<b>R4E1</b><br>
Zone_5 (Main) Set 0<br>
Zone_1 (Secondary) Set 0


### Rundown 5
<b>R5A1</b><br>
Zone_3 (Main) Set 0<br>
Zone_0 (Secondary) Set 0

<b>R5A2</b><br>
Zone_4 (Main) Set 0

<b>R5A3</b><br>
Zone_1 (Overload) Set 0<br>
Zone_0 (Secondary) Set 0

<b>R5B1</b><br>
Zone_0 (Overload) Set 0<br>
Zone_0 (Secondary) Set 0

<b>R5B2</b><br>
Zone_6 (Main) Set 0

<b>R5B3</b><br>
Zone_6 (Main)<br>
Zone_1 (Secondary)

<b>R5B4</b><br>
Zone_4 (Main) Set 0<br>
Zone_7 (Main) Set 0

<b>R5C1</b><br>
Zone_5 (Main)

<b>R5C2</b><br>
Zone_0 (Overload) Set 0<br>
Zone_1 (Secondary) Set 0<br>
Zone_4 (Main) Set 0

<b>R5C3</b><br>
Zone_5 (Main)<br>
Zone_1 (Secondary) Set 0

<b>R5D1</b><br>
Zone_3 (Main)<br>
Zone_2 (Secondary)<br>
Zone_5 (Secondary) Set 0

<b>R5D2</b><br>
Zone_2 (Main)<br>
Zone_8 (Main) Set 0

<b>R5E1</b><br>
Zone_7 (Main) Set 0<br>
Zone_13 (Main)


### Rundown 6
<b>R6A1</b><br>
Unchanged

<b>R6B1</b><br>
Unchanged

<b>R6B2</b><br>
Unchanged

<b>R6C1</b><br>
Unchanged

<b>R6C2</b><br>
Unchanged

<b>R6C3</b><br>
Unchanged

<b>R6D1</b><br>
(Removed Team Scan) Zone_7 (Main) Set 0<br>
Remove Zone_9 (Main)

<b>R6D2</b><br>
Zone_3 (Secondary)

<b>R6D3</b><br>
Zone_3 (Main)

<b>R6D4</b><br>
Zone_2 (Main/Dimension 3) Set 0<br>
Remove Zone_1 (Main/Dimension 3)<br>
Zone_9 (Main/Dimension 0) Set 0

<b>R6AX</b><br>
Zone_3 (Main)

<b>R6BX</b><br>
Zone_3 (Main) Set 0

<b>R6CX</b><br>
Unchanged


### Rundown 7
<b>R7A1</b><br>
Remove Zone_1 (Main) Set 4<br>

<b>R7B1</b><br>
Unchanged

<b>R7B2</b><br>
Zone_2 (Secondary)

<b>R7B3</b><br>
Zone_3 (Main)

<b>R7C1</b><br>
Zone_9 (Main) Set 0

<b>R7C2</b><br>
Zone_2 (Main) Set 0

<b>R7C3</b><br>
Zone_8 (Main) Set 0

<b>R7D1</b><br>
Moved Zone_12 (Main) Set 4<br>
to<br>
Zone_2 (Main)

<b>R7D2</b><br>
Zone_6 (Main) Risky

<b>R7E1</b><br>
Zone_9 (Main) Set 0<br>
Zone_12 (Main) Set 0


### Rundown 8
<b>R8A1</b><br>
Zone_6 (Main) Set 0

<b>R8A2</b><br>
Unchanged

<b>R8B1</b><br>
Zone_1 (Main/Dimension 1) Set 0

<b>R8B2</b><br>
Unchanged

<b>R8B3</b><br>
Zone_9 (Main) Set 0

<b>R8B4</b><br>
Unchanged

<b>R8C1</b><br>
Zone_0 (Secondary)<br>
Remove Zone_3 (Main) Set 4<br>
Zone_8 (Main) Set 0

<b>R8C2</b><br>
Unchanged

<b>R8D1</b><br>
Zone_4 (Main)

<b>R8D2</b><br>
Zone_1 (Secondary) Set 0<br>
Zone_14 (Main) Set 0

<b>R8E1</b><br>
Unchanged

<b>R8E2</b><br>
Zone_5 (Main)<br>
Zone_6 (Main) Set 0<br>
Zone_7 (Main)